﻿local NAME, addon = ...
local L = addon.L.config

-- Item quality dropdown generator
local item_qualities = {}
do
	for i, v in ipairs(UnitPopupMenus["LOOT_THRESHOLD"]) do -- we only care for the qualities available as ML filters
		local quality = tonumber(strmatch(v,"%d+"))
		if quality then
			local hex = select(4, GetItemQualityColor(quality))
			item_qualities[i] = { text = ('|c%s%s'):format(hex, _G[v]), value = quality }
		end
	end
end

addon.config = {
	panel_index = {
		'options'
	},
	panel_structure = {
		options = {
			left = {
				{
					'specialrecipients',
					'menu_disenchant',
					'menu_bank',
					'menu_self',
				},
				{
					'raidroll',
					'menu_roll',
				},
			},
			right = {
				{
					'awardannounce',
					'award_qualitythreshold',
					'award_channel',
					'award_guildannounce',
				}
			},
		},
	},
	options = {
		menu_roll = {
			type = 'toggle',
		},
		menu_disenchant = {
			type = 'toggle',
		},
		menu_bank = {
			type = 'toggle',
		},
		menu_self = {
			type = 'toggle',
		},
		award_guildannounce = {
			type = 'toggle',
		},
		award_qualitythreshold = {
			type = 'select',
			items = item_qualities
		},
		award_channel = {
			type = 'select',
			items = {
				{ value = 'AUTO', text = L.desc_channel_auto },
				{ value = 'SAY', text = CHAT_MSG_SAY },
				{ value = 'PARTY', text = CHAT_MSG_PARTY },
				{ value = 'RAID', text = CHAT_MSG_RAID },
				{ value = 'RAID_WARNING', text = RAID_WARNING },
				{ value = 'OFFICER', text = CHAT_MSG_OFFICER },
				{ value = 'NONE', text = NONE },
			}
		},
	}
}